<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="onClickEvent"
            type="android.view.View.OnClickListener" />
    </data>

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <EditText
            android:id="@+id/et_account"
            style="@style/style_phone_style"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginLeft="@dimen/margin_15"
            android:background="@color/white"
            android:drawableLeft="@mipmap/ic_phone"
            android:drawablePadding="@dimen/margin_15"
            android:hint="账号"
            android:textSize="15sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.6dp"
            android:background="@color/underline_color"
            android:visibility="gone" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone">

            <EditText
                android:id="@+id/et_ver_code"
                style="@style/style_verify_code_style"
                android:layout_width="0dp"
                android:layout_height="55dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_weight="1"
                android:background="@color/white"
                android:drawableLeft="@mipmap/ic_vercode"
                android:drawablePadding="@dimen/margin_15"
                android:hint="验证码"
                android:textSize="15sp" />

            <com.zhaohaoting.framework.view.VerCodeTextView
                android:id="@+id/get_ver_code"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:onClick="@{onClickEvent}"
                android:padding="15dp"
                android:text="发送验证码"
                android:textColor="@color/theme_text_color"
                android:textSize="14sp" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.6dp"
            android:background="@color/underline_color" />

        <EditText
            android:id="@+id/et_password"
            style="@style/style_password_style"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginLeft="@dimen/margin_15"
            android:background="@color/white"
            android:drawableLeft="@mipmap/ic_password"
            android:drawablePadding="@dimen/margin_15"
            android:hint="密码"
            android:textSize="15sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.6dp"
            android:background="@color/underline_color" />

        <Button
            android:id="@+id/btn_next"
            style="@style/theme_btn_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="30dp"
            android:layout_marginTop="45dp"
            android:layout_marginRight="30dp"
            android:onClick="@{onClickEvent}"
            android:text="下一步" />

        <TextView
            android:id="@+id/tv_protocol"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="30dp"
            android:layout_marginBottom="36dp"
            android:text="*注册即代表您同意《飞信用户协议》"
            android:textColor="@color/black_99_color"
            android:textSize="12sp" />
    </LinearLayout>
</layout>
